<!doctype html>
<html>
  <head>
    <meta charset="utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <title>Home | CERN</title>
    <meta
      name="description"
      content="CERN, the European Organization for Nuclear Research, is one of the world’s largest and most respected centres for scientific research. Its business is fundamental physics, finding out what the Universe is made of and how it works."
    />
    <meta
      name="keywords"
      content="physics, CERN, Large Hadron Collider, LHC, high-energy physics, particles, science"
    />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <link
      rel="icon"
      href="assets/icons/favicon.ico"
      type="image/vnd.microsoft.icon"
    />
    <link rel="stylesheet" type="text/css" href="assets/css/index.css" />
    <link rel="stylesheet" type="text/css" href="assets/css/contact.css" />
  </head>
  <body>
      <header class="header">
        <div>
          <p class="lang-en" style="display: block">
            <strong style="color: #fff">CERN</strong>
            Accelerating science
          </p>
          <p class="lang-fr" style="display: none">
            <strong style="color: #fff">CERN</strong>
            Accélérateur de science
          </p>
        </div>
        <div class="language-switch">
          <span onclick="toggleLanguage('EN')" id="en-switch" class="active"
            >EN</span
          >
          |
          <span onclick="toggleLanguage('FR')" id="fr-switch">FR</span>
        </div>
      </header>
      <div class="container">
        <article class="content">
            <span class="return"><a href="/index.html"><< back</a></span>
            <div style="text-align: center; padding-top: 50px;">
            <img src="images/logo_blue.png" alt="CERN logo" style="max-width: 150px;" />
            <h2>Contact</h2>
            </div>
            <strong>
            CERN Resources are protected and any usage by third parties is subject
            to prior approval. Therefore, we need to know more about your status and
            where and how you intend to use CERN Resources. We thank you for your
            coorporation in completing the following questionnaire.
            </strong>
            <hr/>
            <div class="contact-container">
            <form id="contact-form">
                <fieldset>
                <label for="name">Your full name</label>
                <span class="required-field">*</span>
                <input
                    placeholder="Please enter your full name"
                    id="name"
                    name="name"
                    type="text"
                    tabindex="1"
                    minlength="2"
                    type="text"
                    required
                    autofocus
                />
                </fieldset>
                <fieldset>
                <label for="email">Your e-mail address</label>
                <span class="required-field">*</span>
                <input
                    placeholder="Please enter your e-mail address"
                    id="email"
                    name="email"
                    type="email"
                    tabindex="2"
                    minlength="6"
                    required
                />
                </fieldset>
                <fieldset>
                <label>Your company or institute name</label>
                <input placeholder="" type="text" tabindex="3" minlength="2" />
                </fieldset>
                <fieldset>
                <label for="status">Your status</label>
                <span class="required-field">*</span>
                <div class="contact-container-radio">
                    <label>
                    <input type="radio" name="status" value="cern_supplier" id="status_cern_supplier" />
                    CERN Supplier or other
                    </label>
                    </br>
                    <label>
                    <input type="radio" name="status" value="cern_affiliation" id="status_cern_affiliation"/>
                    CERN Affiliation
                    </label>
                    </br>
                    <label>
                    <input type="radio" name="status" value="external" id="status_external"/>
                    External
                    </label>
                </div>
                </fieldset>
                <fieldset>
                <label for="url">Resource URL</label>
                <span class="required-field">*</span>
                <input
                    placeholder="Please provide the URL of the resource you wish to use"
                    id="url"
                    name="url"
                    type="url"
                    tabindex="4"
                />
                </fieldset>
                <fieldset>
                <label for="subject">Subject of your request</label>
                <span class="required-field">*</span>
                <input
                    placeholder="Please enter the subject of your request"
                    id="subject"
                    name="subject"
                    type="text"
                    tabindex="5"
                    minlength="5"
                    required
                />
                </fieldset>
                <fieldset>
                <label for="message">Message</label>
                <textarea
                    placeholder="Please describe in detail where and how you would like to use the resource"
                    id="message"
                    name="message"
                    tabindex="6"
                    required
                ></textarea>
                </fieldset>
                <fieldset>
                <label class="unselectable">
                    <input type="checkbox" required />
                    Please check this box to confirm that you have provided correct
                    information. If the autorisation is granted, you will respect the
                    terms of the CERN copyright and send a proof before publication.
                </label>
                </fieldset>
                <fieldset>
                <button
                    name="submit"
                    type="submit"
                    data-submit="...Sending"
                    onclick="submitForm()"
                >
                    <strong>Submit</strong>
                    <img src="images/submit.png" alt="Submit" style="height: 1em; vertical-align: middle; margin-bottom: 3px;" />
                </button>
                </fieldset>
                <fieldset>
                <i style="float: right;">
                    <span class="required-field">*</span> is a required field.
                </i>
                </fieldset>
            </form>
            </div>
        </article>
      </div>
      <footer class="footer">
        <div class="columns-container">
          <div class="column">
            <h3 class="lang-en" style="display: block">Follow us</h3>
            <h3 class="lang-fr" style="display: none">Nous suivre</h3>
            <div class="social-icons">
              <a
                href="https://www.facebook.com/cern"
                target="_blank"
                onmouseover="this.children[0].src='assets/icons/facebook_hover.svg'"
                onmouseout="this.children[0].src='assets/icons/facebook.svg'"
                ><img
                  src="assets/icons/facebook.svg"
                  class="social-icon"
                  alt="Facebook"
              /></a>
              <a
                href="https://www.instagram.com/cern"
                target="_blank"
                onmouseover="this.children[0].src='assets/icons/instagram_hover.svg'"
                onmouseout="this.children[0].src='assets/icons/instagram.svg'"
                ><img
                  src="assets/icons/instagram.svg"
                  class="social-icon"
                  alt="Instagram"
              /></a>
              <a
                href="https://www.twitter.com/CERN"
                target="_blank"
                onmouseover="this.children[0].src='assets/icons/twitter_hover.svg'"
                onmouseout="this.children[0].src='assets/icons/twitter.svg'"
                ><img
                  src="assets/icons/twitter.svg"
                  class="social-icon"
                  alt="Twitter"
              /></a>
              <a
                href="https://www.linkedin.com/company/cern"
                target="_blank"
                onmouseover="this.children[0].src='assets/icons/linkedin_hover.svg'"
                onmouseout="this.children[0].src='assets/icons/linkedin.svg'"
                ><img
                  src="assets/icons/linkedin.svg"
                  class="social-icon"
                  alt="LinkedIn"
              /></a>
              <a
                href="https://www.youtube.com/user/cerntv"
                target="_blank"
                onmouseover="this.children[0].src='assets/icons/youtube_hover.svg'"
                onmouseout="this.children[0].src='assets/icons/youtube.svg'"
                ><img
                  src="assets/icons/youtube.svg"
                  class="social-icon"
                  alt="YouTube"
              /></a>
            </div>
          </div>
          <div class="column">
            <h3 class="lang-en" style="display: block">Find us</h3>
            <h3 class="lang-fr" style="display: none">Nous trouver</h3>
            <p>CERN, Esplanade des Particules 1</p>
            <p>P.O. Box, 1211 Geneva 23</p>
            <p>Switzerland</p>
          </div>
          <div class="column"></div>
          <div class="column">
            <a href="https://home.cern/" target="_blank">
              <img src="assets/logo.svg" alt="CERN" width="100" height="100" />
            </a>
          </div>
        </div>
        <div class="copyright">
          <a href="https://copyright.web.cern.ch/" target="_blank">
            Copyright ©
            <script>
              document.write(new Date().getFullYear());
            </script>
            CERN
            <br />
          </a>
        </div>
      </footer>
      <script>
        function toggleLanguage(lang) {
          var contentFR = document.getElementsByClassName("lang-fr");
          var contentEN = document.getElementsByClassName("lang-en");
          var enSwitch = document.getElementById("en-switch");
          var frSwitch = document.getElementById("fr-switch");

          // Update language
          localStorage.setItem("currentLang", lang);

          // Update styles and content visibility
          if (lang === "FR") {
            enSwitch.classList.remove("active");
            frSwitch.classList.add("active");
            setDisplayStyle(contentFR, "block");
            setDisplayStyle(contentEN, "none");
          } else {
            frSwitch.classList.remove("active");
            enSwitch.classList.add("active");
            setDisplayStyle(contentFR, "none");
            setDisplayStyle(contentEN, "block");
          }
        }

        function setDisplayStyle(elements, style) {
          for (var i = 0; i < elements.length; i++) {
            elements[i].style.display = style;
          }
        }

        // Set initial language state
        document.addEventListener("DOMContentLoaded", function () {
          var savedLang = localStorage.getItem("currentLang") || "EN";
          toggleLanguage(savedLang);
        });
      </script>
    <script>
      function submitForm() {
        var formData = new FormData(document.getElementById('contact-form'));

        fetch('https://goforms-test.web.cern.ch/submit',{
          method: 'POST',
          headers:{
            'Content-Type': 'application/json',
            'Accept': 'application/json',
          },
          body: JSON.stringify(Object.fromEntries(formData)),
          mode: 'cors',
        })
        .then(response => response.json())
        .then(data => {
          console.log(data);
        })
        .catch((error) => {
          console.error('Error:', error);
        });
      }
    </script>
  </body>
</html>
